- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/applications/parsingTest/parsingTest.cpp File Reference

This file tests the validity of an OSiL, OSoL or OSrL file. More...

`#include <cppad/cppad.hpp>`
`#include "OSConfig.h"`
`#include "OSInstance.h"`
`#include "OSResult.h"`
`#include "OSiLReader.h"`
`#include "OSiLWriter.h"`
`#include "OSrLReader.h"`
`#include "OSrLWriter.h"`
`#include "OSFileUtil.h"`
`#include "CoinError.hpp"`
`#include "OSWSUtil.h"`
`#include "OShL.h"`
`#include "OSErrorClass.h"`
`#include "OSBase64.h"`
`#include "OSMathUtil.h"`
`#include <CoinMpsIO.hpp>`
`#include <CoinPackedMatrix.hpp>`
`#include "CoinHelperFunctions.hpp"`

Include dependency graph for parsingTest.cpp:

Go to the source code of this file.

## Functions
bool | interactiveShell (std::string *schema, std::string *testFileName, std::string *outFileName, bool *compress, bool *addWhiteSpace, bool *verifyObjects)
void | printHelp ()
std::string | getUserInput (bool defaultPresent)
int | main (int argC, char *argV[])

## Detailed Description

This file tests the validity of an OSiL, OSoL or OSrL file.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin,

Version:
  1.0, 18/Sep/2010

Since:
  OS2.2

Remarks:
  Copyright (C) 2010, Horand Gassmann, Jun Ma, Kipp Martin, Dalhousie University, Northwestern University, and the University of Chicago. All Rights Reserved. This software is licensed under the Common Public License. Please see the accompanying LICENSE file in root directory for terms.

Definition in file parsingTest.cpp.

## Function Documentation

bool interactiveShell | ( | std::string * | schema,
|  | std::string * | testFileName,
|  | std::string * | outFileName,
|  | bool * | compress,
|  | bool * | addWhiteSpace,
|  | bool * | verifyObjects |
| ) |  |  |

Definition at line 353 of file parsingTest.cpp.

References getUserInput().

Referenced by main().

void printHelp | ( |  | ) |

Definition at line 410 of file parsingTest.cpp.

Referenced by main().

std::string getUserInput | ( | bool | defaultPresent | ) |

Definition at line 427 of file parsingTest.cpp.

Referenced by interactiveShell().

int main | ( | int | argC,
|  | char * | argV[] |
| ) |  |  |

Definition at line 95 of file parsingTest.cpp.

References ErrorClass::errormsg, FileUtil::getFileAsString(), interactiveShell(), OSResult::IsEqual(), OSInstance::IsEqual(), OSrLWriter::m_bWhiteSpace, OSiLWriter::m_bWhiteSpace, OSrLWriter::m_bWriteBase64, OSiLWriter::m_bWriteBase64, osinstance, osresult, printHelp(), OSiLReader::readOSiL(), OSrLReader::readOSrL(), FileUtil::writeFileFromString(), OSiLWriter::writeOSiL(), and OSrLWriter::writeOSrL().